<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title></title>
		<style>
			#box input
			{
				margin-left: 200px ;
				width: 100px;
				display: block;
			}
		</style>
	</head>
	<body>
		<div id="box">
			<input type="text" id="search">
		</div>
		<script>
			var s=document.getElementById("search");
			var w=100;
			var t1,t2;
			s.onfocus=function()
			{
				t1=setInterval(bc,2);
			}
			s.onblur=function()
			{
				t2=setInterval(bd,2);
			}
			function bc()
			{
				if(w<250)
				{
					s.style.width=++w+"px";
				}
				else
				{
					clearInterval(t1);
				}
			}
			function bd()
			{
				if(w>=250||w>=100)
				{
					s.style.width=--w+"px";
				}
				else
				{
					clearInterval(t2);
				}
			}
		</script>
	</body>
</html>